# EXTTimerQuery (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opengl
Class EXTTimerQuery

    java.lang.Object
      org.lwjgl.opengl.EXTTimerQuery

    public final class EXTTimerQuery

extends java.lang.Object

Field Summary
`static int` `GL_TIME_ELAPSED_EXT` Accepted by the <target> parameter of BeginQuery, EndQuery, and GetQueryiv:

Method Summary
`static long` `glGetQueryObjectEXT(int id, int pname)` Overloads glGetQueryObjecti64vEXT.
`static void` `glGetQueryObjectEXT(int id, int pname, java.nio.LongBuffer params)`
`static long` `glGetQueryObjectuEXT(int id, int pname)` Overloads glGetQueryObjectui64vEXT.
`static void` `glGetQueryObjectuEXT(int id, int pname, java.nio.LongBuffer params)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_TIME_ELAPSED_EXT

    public static final int GL_TIME_ELAPSED_EXT

  Accepted by the <target> parameter of BeginQuery, EndQuery, and GetQueryiv:

  See Also:
    Constant Field Values

Method Detail

### glGetQueryObjectEXT

    public static void glGetQueryObjectEXT(int id,
                                           int pname,
                                           java.nio.LongBuffer params)

### glGetQueryObjectEXT

    public static long glGetQueryObjectEXT(int id,
                                           int pname)

  Overloads glGetQueryObjecti64vEXT.

### glGetQueryObjectuEXT

    public static void glGetQueryObjectuEXT(int id,
                                            int pname,
                                            java.nio.LongBuffer params)

### glGetQueryObjectuEXT

    public static long glGetQueryObjectuEXT(int id,
                                            int pname)

  Overloads glGetQueryObjectui64vEXT.

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.